Bug 1649797 - Review Request: imwheel - Mouse Event to Key Event Mapper Daemon
Summary: Review Request: imwheel - Mouse Event to Key Event Mapper Daemon
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: DeepinDEPackageReview
TreeView+ depends on / blocked
 
Reported: 2018-11-14 14:32 UTC by sensor.wen
Modified: 2019-02-27 10:45 UTC (History)
3 users (show)

Fixed In Version: imwheel-1.0.0-0.1.pre12.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-27 10:45:24 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Comment 1 Robert-André Mauchin 2018-11-18 18:52:21 UTC
 - Add your own %changelog entry.

 - seems you pasted the wrong description

 - If your application is a C or C++ application you must list a
  BuildRequires against gcc, gcc-c++ or clang.
  Note: No gcc, gcc-c++ or clang found in BuildRequires
  See: https://fedoraproject.org/wiki/Packaging:C_and_C%2B%2B

  - Convert this file to utf8:

mwheel.x86_64: W: file-not-utf8 /usr/share/doc/imwheel/ChangeLog


 - [!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools

AutoTools: Obsoleted m4s found
------------------------------
  AM_CONFIG_HEADER found in: imwheel-1.0.0pre12/configure.in:20

Patch AM_CONFIG_HEADER with AC_CONFIG_HEADERS in configure.in in %prep





Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If your application is a C or C++ application you must list a
  BuildRequires against gcc, gcc-c++ or clang.
  Note: No gcc, gcc-c++ or clang found in BuildRequires
  See: https://fedoraproject.org/wiki/Packaging:C_and_C%2B%2B


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later) (with incorrect FSF address)", "NTP
     License", "Unknown or generated". 53 files have unknown license.
     Detailed output of licensecheck in /home/bob/packaging/review/imwheel
     /review-imwheel/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 71680 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in imwheel-
     debuginfo , imwheel-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: imwheel-1.0.0-0.1.pre12.fc30.x86_64.rpm
          imwheel-debuginfo-1.0.0-0.1.pre12.fc30.x86_64.rpm
          imwheel-debugsource-1.0.0-0.1.pre12.fc30.x86_64.rpm
          imwheel-1.0.0-0.1.pre12.fc30.src.rpm
imwheel.x86_64: W: spelling-error %description -l en_US keypresses -> key presses, key-presses, cypresses
imwheel.x86_64: W: spelling-error %description -l en_US gpm -> mpg, gm, pm
imwheel.x86_64: W: spelling-error %description -l en_US jamd -> jams, jam, jamb
imwheel.x86_64: W: file-not-utf8 /usr/share/doc/imwheel/ChangeLog
imwheel.x86_64: E: incorrect-fsf-address /usr/share/licenses/imwheel/COPYING
imwheel.x86_64: W: manual-page-warning /usr/share/man/man1/imwheel.1.gz 564: warning: macro `ni' not defined
imwheel.src: W: spelling-error %description -l en_US keypresses -> key presses, key-presses, cypresses
imwheel.src: W: spelling-error %description -l en_US gpm -> mpg, gm, pm
imwheel.src: W: spelling-error %description -l en_US jamd -> jams, jam, jamb
4 packages and 0 specfiles checked; 1 errors, 8 warnings.

Comment 3 Robert-André Mauchin 2018-11-20 17:50:29 UTC
Package approved.

Comment 4 sensor.wen 2018-11-20 18:10:26 UTC
Robert. I want to know... How long does it take to update rawhide repository? From `fedpkg build` to package can be downloaded.

I use following command to monitor package. :)
# curl https://dl.fedoraproject.org/pub/fedora/linux/development/rawhide/Everything/x86_64/os/Packages/g/ | grep go-lib

Comment 5 Gwyn Ciesla 2018-11-20 18:56:34 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/imwheel

Comment 6 Robert-André Mauchin 2018-11-20 19:03:38 UTC
(In reply to sensor.wen from comment #4)
> Robert. I want to know... How long does it take to update rawhide
> repository? From `fedpkg build` to package can be downloaded.
> 
> I use following command to monitor package. :)
> # curl
> https://dl.fedoraproject.org/pub/fedora/linux/development/rawhide/Everything/
> x86_64/os/Packages/g/ | grep go-lib

I don't know what go-lib is, but packages are added every couple of days at each "compose" which are announced on the devel mailing list: https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/6IH2EOQCC2TFWXHNJDJJYGZVZSSOQ35V/


Note You need to log in before you can comment on or make changes to this bug.